import React from 'react';
import { useNavigate } from 'react-router-dom';
import Sidebar from '../sidebar/Sidebar'; // Ensure the correct path to Sidebar

const CategoryList = () => {
  const navigate = useNavigate();

  const categories = [
    { name: 'shirts', image: 'https://www2.hm.com/en_in/productpage.1032522123.html' },
    { name: 'suits', image: 'https://www2.hm.com/en_in/productpage.1032522123.html' },
    { name: 'tuxedos', image: 'https://www2.hm.com/en_in/productpage.1032522123.html' },
    { name: 'jackets', image: 'https://image.coolblue.nl/422x390/products/1101120' },
  ];

  const handleClick = (category) => {
    navigate(`/products/${category}`);
  };

  return (
    <div className="flex h-screen">
      {/* Sidebar */}
      <Sidebar />

      {/* Main content */}
      <div className="flex-grow p-8">
        <h1 className="text-3xl font-bold mb-8 text-left pl-4">categories</h1>
        <div className="grid grid-cols-2 gap-8">
          {categories.map((category, index) => (
            <div
              key={index}
              className="border border-gray-300 p-4 rounded-lg cursor-pointer hover:shadow-lg transition-shadow duration-300 ease-in-out flex flex-col items-center"
              onClick={() => handleClick(category.name)}
            >
              <img src={category.image} alt={category.name} className="w-48 h-48 object-cover" />
              <h2 className="text-xl font-bold text-center mt-2 capitalize">{category.name}</h2>
              <p className="text-center text-sm text-gray-600">click to view products</p>
            </div>
          ))}
        </div>
      </div>
    </div>
  );
};

export default CategoryList;
