import { useMemo } from "react";
import PropTypes from "prop-types";

const ProductRow = ({ className = "", image17, shirts, propLeft, propTop }) => {
  const productRowStyle = useMemo(() => {
    return {
      left: propLeft,
      top: propTop,
    };
  }, [propLeft, propTop]);

  return (
    <div
      className={`h-[350px] w-[350px] !m-[0] absolute top-[20px] left-[20px] rounded-3xs box-border flex flex-col items-start justify-start py-5 px-0 gap-[15px] text-center text-29xl text-tertiary font-button border-[0.7px] border-solid border-tertiary ${className}`}
      style={productRowStyle}
    >
      <img
        className="self-stretch flex-1 relative max-w-full overflow-hidden max-h-full object-cover"
        loading="lazy"
        alt=""
        src={image17}
      />
      <div className="self-stretch flex flex-row items-start justify-center py-0 pr-[21px] pl-5">
        <div className="relative leading-[53px] lowercase font-semibold inline-block min-w-[124px] mq450:text-10xl mq450:leading-[32px] mq1025:text-19xl mq1025:leading-[42px]">
          {shirts}
        </div>
      </div>
      <div className="flex flex-row items-start justify-start py-0 px-[66px] text-3xl">
        <div className="relative leading-[110%] lowercase font-semibold mq450:text-lg mq450:leading-[19px]">
          Click to view products
        </div>
      </div>
    </div>
  );
};

ProductRow.propTypes = {
  className: PropTypes.string,
  image17: PropTypes.string,
  shirts: PropTypes.string,

  /** Style props */
  propLeft: PropTypes.any,
  propTop: PropTypes.any,
};

export default ProductRow;